# Namespace

> Assign standard library modules to a provided namespace.


<section class="usage">

## Usage

``` javascript
var namespace = require( '@stdlib/namespace' );
```

#### namespace( ns )

Assigns modules to a namespace `object`.

``` javascript
var ns = namespace( {} );
// returns {...}
```

</section>

<!-- /.usage -->


<section class="examples">

## Examples

``` javascript
var namespace = require( '@stdlib/namespace' );

// Assign all modules to the GLOBAL namespace:
var ns = namespace( GLOBAL );

var bool = ( typeof ns.erf === 'function' );
// returns true

bool = ( ns.erf === GLOBAL.erf );
// returns true
```

</section>

<!-- /.examples -->


<section class="links">

</section>

<!-- /.links -->
